<?php
/*
Module Name: Block Emojis
Module URI: http://www.media-affin.de/wordpress-emojis-deaktivieren
Description: Deaktiviert Emojis im Back- und Frontend. 
Author: Dominik Horn
Author URI: https://plus.google.com/+DominikHorn/posts
*/

/* Sicherheitsabfrage */
if ( !class_exists('Toolbox') ) {
	die();
}

/* Ab hier kann's los gehen */
function disable_emojis() {
	remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
	remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
	remove_action( 'wp_print_styles', 'print_emoji_styles' );
	remove_action( 'admin_print_styles', 'print_emoji_styles' );	
	remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
	remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );	
	remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
	add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
}
add_action( 'init', 'disable_emojis' );

function disable_emojis_tinymce( $plugins ) {
	if ( is_array( $plugins ) ) {
		return array_diff( $plugins, array( 'wpemoji' ) );
	} else {
		return array();
	}
}